Bug 16078

Summary: Google Maps zooming via the scroll wheel (almost) always zooms IN only (Safari 3/10.4.11)
Product: WebKit Reporter: Abhay Saxena <ark3>
Component: WebCore Misc.Assignee: Alexey Proskuryakov <ap>
Status: RESOLVED FIXED    
Severity: Normal CC: ap
Priority: P2 Keywords: GoogleBug
Version: 523.x (Safari 3)   
Hardware: Mac   
OS: OS X 10.4   
URL: http://maps.google.com/
Attachments:
Description Flags
proposed fix darin: review+

Description Abhay Saxena 2007-11-21 00:03:03 PST
Overview Description: 

On Google Maps, using the scroll wheel in the maps area should allow you to zoom in or out. Scrolling up should zoom in and scrolling down should zoom out (based on my experience in Firefox and Camino). In Safari both scroll directions generally zoom in. A rapid multi-click scroll down often causes both zooming out and in, which is easily visible if the map tile images are already loaded/cached.

Steps to Reproduce:

1. Load the URL http://maps.google.com/
2. Move the pointer over the map region.
3. Scroll up using the mouse scroll wheel, one click at a time. This should zoom in.
4. Scroll down using the mouse scroll wheel, one click at a time. This should zoom out, but usually doesn't.
5. Scroll down rapidly (i.e. many clicks in quick succession). 

Actual Results: 

3. Each click zooms IN one step (based on the scale on the left). This is correct.
4. Each click zooms IN one step (based on the scale on the left). This is WRONG!
5. The result is some amount of zooming in and some amount of zooming out. This is wrong.

Expected Results: 

3. Each click zooms IN one step (based on the scale on the left).
4. Each click zooms OUT one step (based on the scale on the left).
5. The map view zooms OUT many steps.

Build Date & Platform:
Safari Version 3.0.4 (523.12)
Mac OS X 10.4.11 Build 8S165 (PPC/G4)
Comment 1 Alexey Proskuryakov 2007-11-21 00:04:56 PST
Confirmed with r27628 (also 10.4.11 on PPC).
Comment 2 Alexey Proskuryakov 2007-12-14 10:33:53 PST
Created attachment 17894 [details]
proposed fix
Comment 3 Darin Adler 2007-12-14 15:25:17 PST
Comment on attachment 17894 [details]
proposed fix

r=me
Comment 4 Alexey Proskuryakov 2007-12-15 01:04:38 PST
Committed revision 28745.

For the record, this was reproducible on Leopard/Intel, too.